<?php
require_once('../../local/lib/tcpdf/tcpdf.php');
require '../../init.php';
if(!CModule::IncludeModule("iblock"))
	return;
if(!isset($_GET['id']))
	exit('Файл не найден');
$rec = Register::GetRecord($_GET['id'], true);
if(!$rec)
	exit('Файл не найден');
$client = $rec['client_id'] ? Service::GetUserInfo($rec['client_id']) : null;
$photos = Register::GetPhotos((int)$rec['id']);
$img = [];
$key = 0;
foreach ($photos as $photo) {
	$key++;
	$img[] = '<div><a target="_blank" href="https://ttepla.com'. $photo['SRC'] . '">'. '<img width="200px" src="'.$photo['SRC'] .'"/></a></div>';
}

$sets = Settings::Get();
class MYPDF extends TCPDF
{
	public function Header()
	{
		$this->SetFont('dejavusans', '', 14, '', true);
	}
	public function Footer()
	{
	}
}

$title = 'Акт выполненных работ №' . $rec['id'];

$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('ttepla.com');
$pdf->SetTitle($title);
$pdf->SetSubject($title);
$pdf->SetMargins(10, 10, 10);
$pdf->SetHeaderMargin(8);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);
$pdf->setFontSubsetting(true);
$pdf->SetFont('dejavusans', '', 14, '', true);
$pdf->AddPage();

$html = '
<style>
	.label {font-size:12px;color:#000;padding-bottom:5px;}
	.value {font-size:18px;}
	.free {height:20px;}
	.h1 {text-align:center;}
	.center {text-align:center;}
	.bTable {}
	.bTable td {font-size:14px;color:#666;border:1px solid #000;padding:5px;}
	.left {text-align:left;}
	.equipList {font-size:11px;}
</style>
	<table width="100%" cellspacing="0">
		<tr>
			<td rowspan="2" width="40%"><img src="logo.png" style="width:200px;" alt="" /></td>
			<td width="60%" style="font-size:12px;height:30px;">ул. Омская, 171д, Курган, 640007</td>
		</tr>
		<tr style="font-size:12px;">
			<td width="60%">
				<div style="padding:20px;">
					тел: 8 (3522) 60-44-10 <a href="www.ttepla.com">www.ttepla.com</a> <a href="mailto:info@ttepla.com">info@ttepla.com</a>
				</div>
			</td>
		</tr>
	</table><br>';
if($client)
{
	$html .= '<div class="h1">АКТ ВЫПОЛНЕННЫХ РАБОТ №' . $rec['id'] . '</div><br>';
	$html .= '<table width="100%" cellpadding="5" class="bTable">
	<tr>
		<td><div class="label">Заказчик:</div>' . $rec['client'] . '<br></td>
		<td>
			<div class="label">Дата:</div>' . $rec['date'] . '<br>
			<div class="label">Время работ, часов:</div>' . $rec['duration'] . '<br>
		</td>
	</tr>
	<tr>
		<td><div class="label">Адрес проведения работ:</div>' . ($rec['object'] ? $rec['object']['address'] : '') . '<br></td>
		<td><div class="label">Удаленность объекта работ от офиса, км.</div>' . ($rec['object'] ? $rec['object']['distance'] : '') . '<br></td>
	</tr>
	<tr><td colspan="2"><div class="label">Оборудование Заказчика:</div>' . ($rec['object'] ? $rec['object']['name'] : $rec['equipment_name']) . '<br></td></tr>
	<tr><td colspan="2"class="center"><div class="label">Запланированные работы к выполнению</div><div class="left">' . str_replace("\n", '<br>', $rec['comment']) . '</div><br></td></tr>
	<tr><td colspan="2" class="center"><div class="label">Выполненные работы и рекомендации</div><div class="left">' . str_replace("\n", '<br>', $rec['recom']) . '</div><br></td></tr>';
}
else
{
	$html .= '<div class="h1">АКТ ВЫПОЛНЕННЫХ РАБОТ<br></div>';
	$html .= '<table width="100%" cellpadding="5" class="bTable">
		<tr>
			<td><div class="label">Заказчик:</div>' . $rec['client_name'] . '<br></td>
			<td>
				<div class="label">Дата:</div>' . $rec['date'] . '<br>
				<div class="label">Время работ, часов:</div>' . $rec['duration'] . '<br>
			</td>
		</tr>
		<tr>
			<td><div class="label">Адрес проведения работ:</div>' . $rec['address'] . '<br></td>
			<td><div class="label">Удаленность объекта работ от офиса, км.</div>' . $rec['distance'] . '<br></td>
		</tr>
		<tr><td colspan="2"><div class="label">Оборудование Заказчика:</div>' . $rec['equipment_name'] . '<br></td></tr>
		<tr><td colspan="2"><div class="label">Причина вызова сервисного специалиста:</div>' . $rec['reason'] . '<br></td></tr>
		
		<tr><td colspan="2"class="center"><div class="label">Запланированные работы к выполнению</div><div class="left">' . str_replace("\n", '<br>', $rec['comment']) . '</div><br></td></tr>
		<tr><td colspan="2"class="center"><div class="label">Выполненные работы и рекомендации</div><div class="left">' . str_replace("\n", '<br>', $rec['recom']) . '</div><br></td></tr>
		<tr><td colspan="2"class="center"><div class="label">Заключение</div><div class="left">' . $rec['repair_parts'] . '</div><br></td></tr>';
} 
// <tr><td colspan="2"><div class="label">Выявлено:</div>' . $rec['revealed'] . '<br></td></tr>
$html .= '<tr><td colspan="2" class="center" style="width:100%;"><div class="label">Фото и прочие файлы проведенных работ:</div></td></tr>';

$html .=  '<tr><td colspan="2">' . ((($rec['photos'] && count($rec['photos'])) || count($rec['report_photos'])) ? implode('&nbsp;',$img) : 'фото отсутствуют') . '</td></tr>';

$html .= '<tr>
			<td>
				<div class="label">Отчёт проведен и составлен сервисным инженером:</div>';
if($rec['engidata'])
	$html .= $rec['engidata']['fullname'] . '<br>тел.: <a href="tel:' . $rec['engidata']['tel'] . '" style="text-decoration:none;">' . $rec['engidata']['phone'] . '</a><br>';
else
	$html .= 'информация о сервисном инженере отсутствует<br>';

$html .= '<div class="label">Отчёт проверен и завершен инженером:</div>';
if($rec['main_engi'])
	$html .= $rec['main_engi']['fullname'] . '<br>тел.: <a href="tel:' . $rec['main_engi']['tel'] . '" style="text-decoration:none;">' . $rec['main_engi']['phone'] . '</a><br>e-mail: <a href="mailto:' . $rec['main_engi']['email'] . '" style="text-decoration:none;">' . $rec['main_engi']['email'] . '</a><br>';
else
	$html .= 'информация о сервисном инженере отсутствует<br>';

$html .= '<br></td>
			<td>';
$html .= '<a href="https://ttepla.com/service/calendar.php?record_id=' . $rec['id'] . '" target="_blank">Замечания заказчика по обслуживанию</a><br>';
$html .= '</td>
		</tr>';
$html .= '</table>';
	
$pdf->writeHTML($html, true, false, true, false, '');
$pdf->Output('Otchet_' . $rec['id'] . '.pdf', 'I');
return;