<?php
require_once('../../local/lib/tcpdf/tcpdf.php');
require '../../init.php';
if(!CModule::IncludeModule("iblock"))
	return;
if(!isset($_GET['id']))
	exit('Файл не найден');
$rec = Register::GetRecord($_GET['id'], true);
if(!$rec)
	exit('Файл не найден');
$client = $rec['client_id'] ? Service::GetUserInfo($rec['client_id']) : null;
$controls = $rec['control_list'];
$controls = $controls ? $controls : [];
$fields = Service::GetControlFields($controls);

$sets = Settings::Get();
class MYPDF extends TCPDF
{
	public function Header()
	{
		$this->SetFont('dejavusans', '', 14, '', true);
	}
	public function Footer()
	{
	}
}

$title = 'Контрольный лист сервисного обслуживания №' . $rec['id'];

$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('ttepla.com');
$pdf->SetTitle($title);
$pdf->SetSubject($title);
$pdf->SetMargins(10, 10, 10);
$pdf->SetHeaderMargin(8);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);
$pdf->setFontSubsetting(true);
$pdf->SetFont('dejavusans', '', 14, '', true);
$pdf->AddPage();

$html = '
<style>
	.label {font-size:12px;color:#000;padding-bottom:5px;}
	.value {font-size:18px;}
	.free {height:20px;}
	.h1 {text-align:center;}
	.center {text-align:center;}
	.bTable {}
	.bTable td {font-size:12px;color:#111;border:1px solid #000;padding:5px;}
	.left {text-align:left;}
	.equipList {font-size:11px;}
	.warning td {background-color:#ffff00;};
</style>
	<table width="100%" cellspacing="0">
		<tr>
			<td rowspan="2" width="40%"><img src="logo.png" style="width:200px;" alt="" /></td>
			<td width="60%" style="font-size:12px;height:30px;">ул. Омская, 171д, Курган, 640007</td>
		</tr>
		<tr style="font-size:12px;">
			<td width="60%">
				<div style="padding:20px;">
					тел: 8 (3522) 60-44-10 <a href="www.ttepla.com">www.ttepla.com</a> <a href="mailto:info@ttepla.com">info@ttepla.com</a>
				</div>
			</td>
		</tr>
	</table><br>';
if($client)
{
	$html .= '<div class="h1">Контрольный лист ЕЖЕМЕСЯЧНОГО<br>обслуживания клиентов с договором ТО<br></div>';
	$html .= '<table width="100%" cellpadding="5" class="bTable">';
	$html .= '<tr><td class="center" colspan="2">Наименование</td><td class="center">Результат</td></tr>';
	foreach($fields as $n => $f)
		$html .= '<tr ' . ($f['warning'] ? 'class="warning"' : '') . '><td colspan="2">' . ($n + 1) . '. ' . $f['name'] . '</td><td>' . $f['value'] . '</td></tr>';
	$html .= '</table>';
}

$html .= '<tr>
			<td><br><br><br>';
if(count($rec['report_photos']))
	$html .= '<div class="label">Фотографии полного отчета:</div><a href="https://ttepla.com/service/album.php?record_id=' . $rec['id'] . '&key=' . $rec['key'] . '" target="_blank">ссылка</a><br>';
$html .= '</td>
		</tr>';
$html .= '</table>';		
	
$pdf->writeHTML($html, true, false, true, false, '');
$pdf->Output('Otchet_' . $rec['id'] . '.pdf', 'I');
return;